Page MenuHomePhabricator

Implement a FlowLayout/HorizontalLayout, that would arrange its contents in a single line
Closed, ResolvedPublic

Description

Let's implement a FlowLayout/HorizontalLayout in OOjs UI, that would arrange its contents in a single line (using display: inline-block for its items), with small margin inbetween them. It would be more convenient than using CSS for it all over the place.

Thoughts:

  • Should it be a Layout or a Widget? A Layout would be "more correct", maybe, but it couldn't be directly used inside a FieldLayout, for example (you'd need to create a custom widget to "wrap" it; which might be a good or bad thing, depending on how you look at it).
  • Te name "FlowLayout" was inspired by an obscure GUI toolkit I'm fond of :P, which uses "stacks" and "flows" to lay out window content (http://shoesrb.com/manual/Slots.html), and we already have a StackLayout. "HorizontalLayout" might be more obvious.

Event Timeline

matmarex created this task.Aug 4 2015, 12:38 PM
matmarex claimed this task.
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a project: OOUI.
matmarex added a subscriber: matmarex.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 4 2015, 12:38 PM

My vote is for HorizontalLayout. When I hear "Flow" in relation to MediaWiki I think of the discussion system.

matmarex triaged this task as High priority.Aug 4 2015, 1:59 PM

Change 229139 had a related patch set uploaded (by Bartosz Dziewoński):
Intorduce HorizontalLayout

https://gerrit.wikimedia.org/r/229139

Jdforrester-WMF closed this task as Resolved.Aug 6 2015, 3:11 PM
Jdforrester-WMF edited projects, added OOjs-UI-next-release; removed Patch-For-Review.
Jdforrester-WMF set Security to None.

Change 229139 merged by jenkins-bot:
HorizontalLayout: Introduce

https://gerrit.wikimedia.org/r/229139

Jdforrester-WMF moved this task from Backlog to Reviewing on the OOUI board.Aug 7 2015, 6:25 PM